Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.builder.dialect.java
Class JavaActionBuilder

    java.lang.Object
      org.jbpm.process.builder.dialect.java.AbstractJavaProcessBuilder
          org.jbpm.process.builder.dialect.java.JavaActionBuilder

All Implemented Interfaces:
  ActionBuilder

    public class JavaActionBuilder

extends AbstractJavaProcessBuilder
implements ActionBuilder

Field Summary

Fields inherited from class org.jbpm.process.builder.dialect.java.AbstractJavaProcessBuilder
`INVOKER_REGISTRY, RULE_REGISTRY`

Constructor Summary
`JavaActionBuilder()`

Method Summary
`void` | `build(org.drools.compiler.rule.builder.PackageBuildContext context, DroolsAction action, org.drools.compiler.lang.descr.ActionDescr actionDescr, ContextResolver contextResolver)`

Methods inherited from class org.jbpm.process.builder.dialect.java.AbstractJavaProcessBuilder
`createVariableContext, createVariableContext, generatTemplates, getInvokerTemplateRegistry, getRuleTemplateRegistry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaActionBuilder

    public JavaActionBuilder()

Method Detail

### build

    public void build(org.drools.compiler.rule.builder.PackageBuildContext context,
                      DroolsAction action,
                      org.drools.compiler.lang.descr.ActionDescr actionDescr,
                      ContextResolver contextResolver)

  Specified by:
    `build` in interface `ActionBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.